JSON for Modern C++ 3.7.3

accept
accept
accept
allocator_type
array
array_t
at
at
at
at
at
at
back
back
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
begin
begin
binary
binary
binary
binary
binary_t
boolean_t
cbegin
cend
clear
const_iterator
const_pointer
const_reference
const_reverse_iterator
contains
contains
count
crbegin
crend
detail::external_constructor
diff
difference_type
dump
emplace
emplace_back
empty
end
end
erase
erase
erase
erase
error_handler_t
exception
find
find
flatten
from_bson
from_bson
from_bson
from_cbor
from_cbor
from_cbor
from_msgpack
from_msgpack
from_msgpack
from_ubjson
from_ubjson
from_ubjson
front
front
get
get
get
get
get
get
get_allocator
get_binary
get_binary
get_ptr
get_ptr
get_ref
get_ref
get_to
get_to
initializer_list_t
input_format_t
insert
insert
insert
insert
insert
insert
insert_iterator
invalid_iterator
is_array
is_binary
is_boolean
is_discarded
is_null
is_number
is_number_float
is_number_integer
is_number_unsigned
is_object
is_primitive
is_string
is_structured
items
items
iterator
iterator_wrapper
iterator_wrapper
json_pointer
json_sax_t
json_serializer
max_size
merge_patch
meta
number_float_t
number_integer_t
number_unsigned_t
object
object_comparator_t
object_t
operator value_t
operator ValueType
operator!=
operator!=
operator!=
operator+=
operator+=
operator+=
operator+=
operator<
operator<
operator<
operator<<
operator<<
operator<=
operator<=
operator<=
operator=
operator==
operator==
operator==
operator>
operator>
operator>
operator>=
operator>=
operator>=
operator>>
operator>>
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
other_error
out_of_range
parse
parse
parse
parse_error
parse_event_t
parser_callback_t
patch
pointer
push_back
push_back
push_back
push_back
rbegin
rbegin
reference
rend
rend
reverse_iterator
sax_parse
sax_parse
sax_parse
size
size_type
string_t
swap
swap
swap
swap
swap
swap
to_bson
to_bson
to_bson
to_cbor
to_cbor
to_cbor
to_msgpack
to_msgpack
to_msgpack
to_ubjson
to_ubjson
to_ubjson
type
type_error
type_name
unflatten
update
update
value
value
value
value
value_t
value_type
~basic_json
| ## ◆ array()
static basic_json nlohmann::basic_json::array | ( | initializer_list_t | init = `{}` | ) |
| inline static
  Creates a JSON array value from a given initializer list. That is, given a list of values `a, b, c`, creates the JSON value `[a, b, c]`. If the initializer list is empty, the empty array `[]` is created. Note This function is only needed to express two edge cases that cannot be realized with the initializer list constructor (basic_json(initializer_list_t, bool, value_t)). These cases are: creating an array whose elements are all pairs whose first element is a string – in this case, the initializer list constructor would create an object, taking the first elements as keys creating an empty array – passing the empty initializer list to the initializer list constructor yields an empty object Parameters
  [in] | init | initializer list with JSON values to create an array from (optional)
  Returns JSON array value Complexity Linear in the size of init. Exception safety Strong guarantee: if an exception is thrown, there are no changes to any JSON value. Example The following code shows an example for the `array` function. 1 #include <iostream> 2 #include <nlohmann/json.hpp> 3 4 using json = nlohmann::json; 5 6 int main() 7 { 8 // create JSON arrays 9 json j_no_init_list = json::array(); 10 json j_empty_init_list = json::array({}); 11 json j_nonempty_init_list = json::array({1, 2, 3, 4}); 12 json j_list_of_pairs = json::array({ {"one", 1}, {"two", 2} }); 13 14 // serialize the JSON arrays 15 std::cout << j_no_init_list << '\n'; 16 std::cout << j_empty_init_list << '\n'; 17 std::cout << j_nonempty_init_list << '\n'; 18 std::cout << j_list_of_pairs << '\n'; 19 } Output (play with this example online):
      []
      []
      [1,2,3,4]
      [["one",1],["two",2]]
  The example code above can be translated with
      g++ -std=c++11 -Isingle_include doc/examples/array.cpp -o array
See also basic_json(initializer_list_t, bool, value_t) – create a JSON value from an initializer list object(initializer_list_t) – create a JSON object value from an initializer list Since version 1.0.0 Definition at line 17570 of file json.hpp.

nlohmann::basic_json::array
static basic_json array(initializer_list_t init={})
explicitly create an array from an initializer list
Definition: json.hpp:17570
nlohmann::json
basic_json<> json
default JSON class
Definition: json.hpp:2774